Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 27/02/2018, à 17:24

LinuxerQuelconque

PhpMyAdmin inaccessible

Bonjour,

J'ai installé dernièrement un serveur Apache2, j'y ai ajouté php 5.6, mysql-server et phpmyadmin.

Quand j'ai lancé la première fois phpmyadmin, il y avait une petite interface graphique avec des couleurs etc. et l'icône phpmyadmin: il était écrit que je devais installer le module mbstring.

C'est ce que j'ai fais, et j'ai vérifier un peu partout s'il est vraiment là (via la commande

php -m

et grâce à un petit code php que j'ai mis sur mon site

<?php echo extension_loaded("mbstring"); ?>

et qui m'a renvoyé 1)

Le problème est que, quand je me connecte à phpmyadmin, j'ai cette erreur "Fatal error: Call to undefined function __() in /usr/share/phpmyadmin/libraries/core.lib.php on line 245"

Je vous envoie un screen du bout de programme qui déconne, si je comprend bien c'est une histoire de traduction: https://www.zupimages.net/up/18/09/da90.png

J'ai cherché un peu partout le problème, j'ai rien trouvé de concluant.

Pour info, j'ai bien l'extension gettext et quand je regarde les fonctions de gettext grâce à

php --re gettext

j'ai trouver une fonction qui s'appelle

_

si ça peut vous aider à comprendre mon problème.

Merci de votre aide smile


Modération : merci d'utiliser les balises code (explications ici). Et du texte entre balises code (explications ici) est bien plus léger et plus lisible, même si en noir et blanc…

Dernière modification par cqfd93 (Le 27/02/2018, à 17:40)

Hors ligne

#2 Le 27/02/2018, à 17:42

krodelabestiole

Re : PhpMyAdmin inaccessible

tu es sur quel os (version) ? pourquoi avoir installé php 5.6 (au lieu de php 7 par ex.) ? et comment ?
je pense pas que ça serve à grand chose d'aller fouiller dans le code de phpmyadmin, qui devrait être une version stable et fiable.
à mon avis le problème est plutôt à chercher du côté de ton install...

pour avoir une idée des paquets installés, quel est le retour de cette commande :

apt list php* *php | grep install

En ligne

#3 Le 27/02/2018, à 18:03

LinuxerQuelconque

Re : PhpMyAdmin inaccessible

https://zupimages.net/up/18/09/an3a.png

A noter que je viens de tenter

a2enmod php7.0

et ça ne change rien.

D'ailleurs

a2enmod php7.2

m'indique que le module php7.2 n'existe pas, de même qu'avec php7.2-common

Que penses-tu que je dois faire?

J'ai ubuntu 5.4.0 et Apache/2.4.18

P.S: Je prend des screenshots car le presse papier de vm à machine physique ne fonctionne pas chez moi

Mais il n'est pas interdit d'éditer l'image pour ne garder que ce qui est utile, parce que tes icônes et le fond, on n'en a rien à faire. Enfin, les hébergeurs comme Toile Libre, TDCT'Pix permettent de poster des images légères avec miniatures.
Un peu de respect pour ceux qui ont une connexion internet limitée ne serait pas superflu.

Dernière modification par cqfd93 (Le 27/02/2018, à 18:35)

Hors ligne

#4 Le 27/02/2018, à 19:58

krodelabestiole

Re : PhpMyAdmin inaccessible

gros bordel : php 5.6 , php 7.0 et php 7.2 sont tous installés en même temps.
https://doc.ubuntu-fr.org/lamp#plusieur … ultanement

il faudrait commencer par virer les dépôts inutiles : quels sont ceux installés sur ton système ?

grep ^deb /etc/apt/sources.list /etc/apt/sources.list.d/*

et encore une fois est-ce que tu as besoin d'une version de php spécifique (laquelle) ?

Dernière modification par krodelabestiole (Le 27/02/2018, à 20:02)

En ligne

#5 Le 27/02/2018, à 20:03

krodelabestiole

Re : PhpMyAdmin inaccessible

LinuxerQuelconque a écrit :

ubuntu 5.4.0

ça n'existe pas.

lsb_release -a

En ligne

#6 Le 28/02/2018, à 12:07

LinuxerQuelconque

Re : PhpMyAdmin inaccessible

krodelabestiole a écrit :
LinuxerQuelconque a écrit :

ubuntu 5.4.0

ça n'existe pas.

lsb_release -a

Autant pour moi j'allais dans le fichier /proc/version mais je lisais le truc avant le "~" pas après , j'ai Ubuntu 16.04


J'avais un dépôt exotique (je sais plus trop pourquoi j'ai pris le 5.6 mais y avait une raison à la base il me semble, j'ai peur de passer le cap sûrement parce qu'il y a de nouveaux opérateurs en 7 lol)

C'est mon coup d'essai dans l'installation de serveur LAMP, y a trop de problèmes qui se sont créés d'un coup, je vais réinstaller le serveur de A à Z ça va pas être très long et je te dis si j'ai encore un conflit.

Dernière modification par LinuxerQuelconque (Le 28/02/2018, à 12:12)

Hors ligne

#7 Le 28/02/2018, à 17:17

LinuxerQuelconque

Re : PhpMyAdmin inaccessible

Bon, je viens de tout réinstaller en utilisant uniquement php7.0 du dépôt ubuntu officiel et tout fonctionne parfaitement.

Merci smile

Hors ligne